Bug 119242 - UI: LibreOffice switches between focused look and defocused look (when defocused & heavy processing)
Summary: UI: LibreOffice switches between focused look and defocused look (when defocu...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All Windows (All)
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Desktop-Integration
  Show dependency treegraph
 
Reported: 2018-08-13 09:44 UTC by Telesto
Modified: 2020-08-15 20:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (26.31 KB, application/vnd.oasis.opendocument.text)
2018-08-13 09:44 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-08-13 09:44:05 UTC
Description:
UI: LibreOffice switches between focused look and defocused look (when defocused & heavy processing)

Steps to Reproduce:
1. Open the attached file
2. Copy the content
3. Open a new document & paste
4. Press CTRL+V 4 times
5. Do something else (say browsing) with LibO processing in the background (not minimized)

Actual Results:
LibreOffice seems to grab focus (isn't doing that actually)

Expected Results:
Should be processing in the background without a focus change


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha0+
Build ID: c0fdcece6b886912618deee9656cb2d169a9b999
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-08-12_00:35:45
Locale: en-US (nl_NL); Calc: CL
Comment 1 Telesto 2018-08-13 09:44:18 UTC
Created attachment 144139 [details]
Example file
Comment 2 Buovjaga 2018-09-07 13:30:23 UTC
Repro on Windows.

Have you created a report for the slowness in pasting? I don't repro it with 5.3.0

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 7f43f0b50135e147fb2bb1f942da3bf60153fd2c
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-06_01:41:39
Locale: fi-FI (fi_FI); Calc: threaded
Comment 3 Telesto 2018-09-07 14:16:37 UTC
(In reply to Buovjaga from comment #2)
> Repro on Windows.
> 
> Have you created a report for the slowness in pasting? I don't repro it with
> 5.3.0
> 
> Version: 6.2.0.0.alpha0+ (x64)
> Build ID: 7f43f0b50135e147fb2bb1f942da3bf60153fd2c
> CPU threads: 4; OS: Windows 10.0; UI render: default; 
> TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-06_01:41:39
> Locale: fi-FI (fi_FI); Calc: threaded

I don't remember. However I'm not seeing much difference between 5.3 and 6.2 (but might be me). I choose the bulleted list stuff because of the slowness; thats for sure. Related: bug 119227 and bug 119220
Comment 4 Buovjaga 2018-09-07 15:10:54 UTC
Hmm, now I don't see a difference myself. Must have been a mistake on my part.
Anyway, the switching behaviour looks old.
Comment 5 QA Administrators 2019-09-08 05:02:58 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug